#define _CRT_SECURE_NO_WARNINGS
 
#include <iostream>
#include <functional>
#include <vector>
#include <queue> 
#include <string>
#include <math.h>
#include <algorithm>
#include <limits>
#include <set>
#include <map>
 
#define arr_size 30
#define sqr(x) ((x) * (x))
#define eps 0.00000001

using namespace std;

int letter[arr_size];
bool flag[arr_size];
int max_ind;

int main()
{
    freopen("input.txt", "r", stdin);
    freopen("output.txt", "w", stdout);
	
	string s;
	cin >> s;
	for (int i = 0; i < s.length(); i++)
	{
		int pos = s[i] - 'a'; 
		letter[pos]++;
		if (letter[pos] > letter[max_ind])
			max_ind = pos;
	}
	int max_dist;
	int useless = 0;

	if (letter[max_ind] - 1 == 0)
		max_dist = 0;
	else
	{
		for (int i = 0; i < arr_size; i++)
			if (letter[i] == letter[max_ind] && i != max_ind)
				useless++;

		max_dist = (s.length() - letter[max_ind] - useless) / (letter[max_ind] - 1);
	}

	int n = letter[max_ind] - 1;
	for (int i = 0; i < n; i++)
	{
		cout << char('a' + max_ind);
		letter[max_ind]--;
		for (int j = 0; j < arr_size; j++)
			flag[j] = false;
		for (int j = 0; j < max_dist; j++)
		{
			int loc_max = -1;
			for (int q = 0; q < arr_size; q++)
				if ((loc_max == -1 || loc_max != -1 && letter[q] > letter[loc_max]) && q != max_ind && !flag[q])
				{
					loc_max = q;
				}
			flag[loc_max] = true;
			cout << char('a' + loc_max); 
			letter[loc_max]--;
		}
	}

	cout << char('a' + max_ind);
	letter[max_ind]--;

	while (true)
	{
		max_ind = 0;
		for (int q = 0; q < arr_size; q++)
			if (letter[q] > letter[max_ind])
				max_ind = q;
		if (letter[max_ind] == 0)
			break;
		cout << char('a' + max_ind);
		letter[max_ind]--;
	}
}
